'''
Created on May 20, 2013

@author: mwallers
'''
import sys

stderr_enabled=True
log_file=None

def log(message, newline=True):
    """Record a log message. newline tells whether to add a newline."""
    if newline:
        message+='\n'
    
    if stderr_enabled:
        sys.stderr.write(message)
        sys.stderr.flush()
        
    if log_file:
        log_file.write(message)
        log_file.flush()